#ifndef CHARIOT_H
#define CHARIOT_H
#include <QSqlQuery>
#include <QSqlQueryModel>
#include <QString>

class chariot
{
public:
    chariot();
    chariot(int,int, QString);
    int get_id();
    int get_etat();
    QString get_couleur();
    bool ajouter();
    bool  modifier_etat(int);
    QSqlQueryModel * afficher();
    bool supprimer(int);
    bool modifier(int,int,QString);
private:
    int id;
    int etat;
    QString couleur;
};

#endif // CHARIOT_H
